Bug 436777 - Review Request: python-tgcaptcha - A TurboGears CAPTCHA widget for forms
Review Request: python-tgcaptcha - A TurboGears CAPTCHA widget for forms
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 08:50 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 07:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-03-10 08:50:14 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-tgcaptcha.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-tgcaptcha-0.11-1.fc8.src.rpm
Description:
TGCaptcha is a TurboGears widget that provides an easy way to incorporate a captcha as part a form in an attempt to reduce spam or malicious activity.
Comment 1 Parag AN(पराग) 2008-03-11 00:59:04 EDT
got build error
ImportError: No module named cherrypy
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=510156

also rpmlint complained =>
python-tgcaptcha.src: E: description-line-too-long TGCaptcha is a TurboGears
widget that provides an easy way to incorporate a captcha as part a form in an
attempt to reduce spam or malicious activity.

python-tgcaptcha.i386: E: script-without-shebang
/usr/lib/python2.5/site-packages/tgcaptcha/static/fonts/tuffy/LICENSE.txt

python-tgcaptcha.i386: E: no-binary
Comment 2 Luke Macken 2008-03-11 17:34:14 EDT
The build issue should be fixed thanks to the following patch that I just
applied to TurboGears in devel:
http://cvs.fedoraproject.org/viewcvs/devel/TurboGears/TurboGears-1.0.4.4-cherrypyreq.patch?view=markup

* Tue Mar 11 2008 Luke Macken <lmacken@redhat.com> 0.11-2
- Make package noarch
- Fix lengthy description
- Remove the executable bit from the fonts

http://lmacken.fedorapeople.org/rpms/python-tgcaptcha-0.11-2.fc8.src.rpm
http://lmacken.fedorapeople.org/rpms/python-tgcaptcha.spec
Comment 3 Parag AN(पराग) 2008-03-12 03:14:59 EDT
Review:
+ package builds in mock.
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=512432 
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
08e52f7055d2f1084d225d910f637420  TGCaptcha-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.

Also,
1)remove BR:python as python-devel anyway pulls it.

APPROVED.
Comment 4 Luke Macken 2008-03-12 10:34:46 EDT
New Package CVS Request
=======================
Package Name: python-tgcaptcha
Short Description: A TurboGears CAPTCHA widget for forms
Owners: lmacken
Branches: EL-5 F-7 F-8
Cvsextras Commits: Yes
Comment 5 Kevin Fenzi 2008-03-12 13:22:26 EDT
cvs done.
Comment 6 Parag AN(पराग) 2008-03-31 02:00:03 EDT
almost more than 15 days passed. Is this built for requested branches so that we
can CLOSE this review?
Comment 7 Luke Macken 2008-03-31 07:12:05 EDT
Ah, yes.  This has been built and releases as updates for F-7 and F-8.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.